CompressionStrategy (Mule ESB 2.2.1 API)
Keywords: org.mule.util.compression.CompressionStrategy interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.util.compression
Interface CompressionStrategy

All Known Implementing Classes:
  GZipCompression

    public interface CompressionStrategy

`CompressionStrategy` is a base interface for Different compression strategies

Field Summary
`static String` | `COMPRESSION_DEFAULT` The fully qualified class name of the fallback `CompressionStrategy` implementation class to use, if no other can be found.
`static String` | `SERVICE_ID` JDK1.3+ 'Service Provider' specification ( http://java.sun.com/j2se/1.3/docs/guide/jar/jar.html )

Method Summary
`byte[]` | `compressByteArray(byte[] bytes)`
`boolean` | `isCompressed(byte[] bytes)`
`byte[]` | `uncompressByteArray(byte[] bytes)`

Field Detail

### COMPRESSION_DEFAULT

    static final String COMPRESSION_DEFAULT

  The fully qualified class name of the fallback `CompressionStrategy` implementation class to use, if no other can be found. the default is `org.mule.util.compression.GZipCompression`

  See Also:
    Constant Field Values

### SERVICE_ID

    static final String SERVICE_ID

  JDK1.3+ 'Service Provider' specification ( http://java.sun.com/j2se/1.3/docs/guide/jar/jar.html )

  See Also:
    Constant Field Values

Method Detail

### compressByteArray

    byte[] compressByteArray(byte[] bytes)
                             throws IOException

  Throws:
    `IOException`

### uncompressByteArray

    byte[] uncompressByteArray(byte[] bytes)
                               throws IOException

  Throws:
    `IOException`

### isCompressed

    boolean isCompressed(byte[] bytes)
                         throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.